/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class JosephusFlavius2 {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  public static int eliminationJosephusFlavius(int n,int k) {
    int j = 1;
    boolean [] t = new boolean[n];
    t[0] = true;
    for ( int i = 1 ; i < n ; i++ )
      t[i] = false;
    for ( int i = 0 ; i < n-1 ; i++ ) {    
      int cpt = 0;
      while ( cpt != k ) {
        if ( !t[j] )
          cpt++;
        if ( cpt != k )
          j = (j+1)%n; }
      System.out.println(j);
      t[j] = true;
      j = (j+1)%n; }
    return(j-1);
  }

  /* Fonction principale                                  */
  
  public static void main(String [] args) throws IOException {
  /* Lecture au clavier du nombre de soldats              */
    System.out.print("Nombre de soldats : ");
    int n = Integer.valueOf(flux.readLine()).intValue();
  /* Lecture au clavier du nombre de soldats parcourus    */
  /* a chaque elimination                                 */
    System.out.print("Taille des sauts  : ");
    int k = Integer.valueOf(flux.readLine()).intValue();
    System.out.println("Le dernier soldat est le numero "
                       +eliminationJosephusFlavius(n,k));
  }
}